{{/* 
  Copyright (c) 2023 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
    Olivier Goulet <olivier.goulet@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
*/}}

{{ $class := .Get "class" | default "" }}
{{ $dark := .Get "dark" | default false }}

{{ $featured_section_class := "featured-section-row" }}
{{ if $dark }}
  {{ $featured_section_class = "featured-section-row featured-section-row-dark" }}
{{ end }}

<div id="testimonials" class="eclipsefdn-testimonials-carousel row text-center {{ $featured_section_class }} {{ $class }}">
  <div class="container">
    <h2>Testimonials</h2>
    
    {{ if .Site.Data.testimonials.items }}
      <div class="solstice-slider slider-dynamic owl-carousel owl-theme">
        {{ range .Site.Data.testimonials.items }}
          <div class="item row featured-section-testimonials-container col-sm-offset-2">
            <div class="col-sm-5 match-height-item-by-row">
              <div class="testimonials-image-container">
                <div class="testimonials-image">
                  <img class="img-responsive" src="{{ .image }}" alt="{{ .name }}">
                </div>
              </div>
            </div>
            <div class="col-sm-17 col-sm-offset-1 match-height-item-by-row">
              <div class="testimonials-content">
                {{ .text | markdownify }}
              </div>
              <p class="testimonials-author"><em>- {{ .name }}, {{ .title }} at {{ .company }}</em></p>
            </div>
          </div>
        {{ end }}
      </div>
    {{ end }}
  </div>
</div>
